API Specificationxeonr.notes.v1.NoteUploadsService
Get Note Upload URLs
Resolves presigned download URLs for one or more upload IDs.
AuthorizationBearer <token>
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketId?string
Length
1 <= lengthuploadIds?upload_ids
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.NoteUploadsService/GetNoteUploadUrls" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"urls": {
"property1": {
"contentUrl": "string",
"thumbnailUrl": "string"
},
"property2": {
"contentUrl": "string",
"thumbnailUrl": "string"
}
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}